Package org.eclipse.emf.cdo.security.provider

# Class SecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender.CreationSwitch

java.lang.Object
org.eclipse.emf.ecore.util.Switch<Object>
org.eclipse.emf.cdo.expressions.util.ExpressionsSwitch<Object>
org.eclipse.emf.cdo.security.provider.SecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender.CreationSwitch

Enclosing class:
  `SecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender`

protected static class SecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender.CreationSwitch extends ExpressionsSwitch<Object>
The switch for creating child descriptors specific to each extended class.

Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EditingDomain`
`editingDomain`
The domain in which to create the children.
`protected List<Object>`
`newChildDescriptors`
The child descriptors being populated.

### Fields inherited from class org.eclipse.emf.cdo.expressions.util.ExpressionsSwitch

`modelPackage`

## Method Summary

Modifier and Type
Method
Description
`Object`
`caseContainedObject(ContainedObject object)`
Returns the result of interpreting the object as an instance of 'Contained Object'.
`Object`
`caseContainedObjectGen(ContainedObject object)`
`protected CommandParameter`
`createChildParameter(Object feature, Object child)`

### Methods inherited from class org.eclipse.emf.cdo.expressions.util.ExpressionsSwitch

`caseAccess, caseBooleanValue, caseByteValue, caseCharValue, caseContextAccess, caseDoubleValue, caseExpression, caseFloatValue, caseFunctionInvocation, caseIntValue, caseInvocation, caseLinkedExpression, caseLinkedObject, caseListConstruction, caseLongValue, caseMemberAccess, caseMemberInvocation, caseShortValue, caseStaticAccess, caseStringValue, caseValue, defaultCase, doSwitch, isSwitchFor`

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### newChildDescriptors

protected List<Object> newChildDescriptors
The child descriptors being populated.

Generated

### editingDomain

protected EditingDomain editingDomain
The domain in which to create the children.

Generated

## Method Details

### caseContainedObjectGen

public Object caseContainedObjectGen(ContainedObject object)

Generated

### caseContainedObject

public Object caseContainedObject(ContainedObject object)
Description copied from class: `ExpressionsSwitch`
Returns the result of interpreting the object as an instance of 'Contained Object'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseContainedObject` in class `ExpressionsSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Contained Object'.
See Also:
  - `doSwitch(EObject)`
Added

### createChildParameter

protected CommandParameter createChildParameter(Object feature, Object child)

Generated